--- old/usr/src/cmd/fs.d/ufs/quotaon/Makefile	Mon Apr 27 12:07:02 2015
+++ new/usr/src/cmd/fs.d/ufs/quotaon/Makefile	Mon Apr 27 12:07:02 2015
@@ -20,6 +20,7 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
 # cmd/fs.d/ufs/quotaon/Makefile
 
@@ -28,19 +29,9 @@
 QUOTAOFF=	quotaoff
 ATTMK=		$(LIBPROG)
 
-#
-# Note that no links are made from the rc[S0-3].d directories for this rc
-# script.  The normal way to ship this is completely disabled.  The process
-# for enabling this script is described in the "Routine System Administration
-# Guide" (as of this time).
-#
-INIT_SCRIPT=	ufs_quota
-ROOTINIT_D=	$(ROOTETC)/init.d
-ROOTINIT_SCRIPT=$(ROOTINIT_D)/$(INIT_SCRIPT)
-
 OTHERINSTALL=	$(ROOTLIBFSTYPE)/$(QUOTAOFF) \
-		$(ROOTUSRSBIN)/$(LIBPROG) $(ROOTUSRSBIN)/$(QUOTAOFF) \
-		$(ROOTINIT_SCRIPT)
+		$(ROOTUSRSBIN)/$(LIBPROG) $(ROOTUSRSBIN)/$(QUOTAOFF)
+
 LINKVALUEON=	../lib/fs/$(FSTYPE)/$(LIBPROG)
 LINKVALUEOFF=	../lib/fs/$(FSTYPE)/$(QUOTAOFF)
 
@@ -62,6 +53,3 @@
 
 $(ROOTUSRSBIN)/$(QUOTAOFF):
 		-$(RM) $@; $(SYMLINK) $(LINKVALUEOFF) $@
-
-$(ROOTINIT_D)/% :	%
-		$(INS.file)
--- old/usr/src/cmd/fs.d/ufs/quotaon/ufs_quota	Mon Apr 27 12:07:02 2015
+++ /dev/null	Mon Apr 27 11:44:07 2015
@@ -1,44 +0,0 @@
-#!/sbin/sh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 1993, 1997 by Sun Microsystems, Inc.
-# All rights reserved.
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-
-case "$1" in
-'start')
-	/usr/sbin/quotacheck -a
-	/usr/sbin/quotaon -a
-	;;
-
-'stop')
-	/usr/sbin/quotaoff -a
-	;;
-
-*)
-	echo "Usage: $0 { start | stop }"
-	exit 1
-	;;
-esac
-exit 0
--- old/usr/src/cmd/initpkg/init.d/Makefile	Mon Apr 27 12:07:02 2015
+++ new/usr/src/cmd/initpkg/init.d/Makefile	Mon Apr 27 12:07:02 2015
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
+# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
 
 include		../../Makefile.cmd
@@ -32,13 +33,6 @@
 PROG=		\
 	README		\
 	cachefs.daemon	\
-	devlinks	\
-	drvconfig	\
-	ldap.client	\
-	nfs.server	\
-	nscd		\
-	sendmail	\
-	slpd		\
 	sysetup		\
 	uucp		\
 	$($(MACH)_PROG)
--- old/usr/src/cmd/initpkg/init.d/devlinks	Mon Apr 27 12:07:02 2015
+++ /dev/null	Mon Apr 27 11:44:07 2015
@@ -1,38 +0,0 @@
-#!/sbin/sh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T.
-# All rights reserved.
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-if [ -n "$_INIT_RECONFIG" ]; then
-	echo 'Configuring the /dev directory'
-
-	/usr/sbin/devlinks
-	/usr/sbin/disks
-	/usr/sbin/ports
-	/usr/sbin/tapes
-	/usr/sbin/audlinks
-fi
--- old/usr/src/cmd/initpkg/init.d/drvconfig	Mon Apr 27 12:07:02 2015
+++ /dev/null	Mon Apr 27 11:44:07 2015
@@ -1,36 +0,0 @@
-#!/sbin/sh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T.
-# All rights reserved.
-#
-#
-# Copyright (c) 1991-1997 by Sun Microsystems, Inc.
-# All rights reserved.
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-
-if [ -n "$_INIT_RECONFIG" ]; then
-	echo 'Configuring the /devices directory'
-	/usr/sbin/drvconfig
-fi
--- old/usr/src/cmd/initpkg/init.d/ldap.client	Mon Apr 27 12:07:02 2015
+++ /dev/null	Mon Apr 27 11:44:07 2015
@@ -1,50 +0,0 @@
-#!/sbin/sh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-
-# This service is managed by smf(5).  Thus, this script provides
-# compatibility with previously documented init.d script behaviour.
-
-FMRI=network/ldap/client:default
-
-case "$1" in
-'start')
-	[ -f /var/ldap/ldap_client_file ] && \
-	    [ -f /usr/lib/ldap/ldap_cachemgr ] || exit 0
-
-	/usr/sbin/svcadm enable -t $FMRI
-	;;
-
-'stop')
-	/usr/sbin/svcadm disable -t $FMRI
-	;;
-
-*)
-	echo "Usage: $0 { start | stop }"
-	exit 1
-	;;
-esac
--- old/usr/src/cmd/initpkg/init.d/nfs.server	Mon Apr 27 12:07:02 2015
+++ /dev/null	Mon Apr 27 11:44:07 2015
@@ -1,45 +0,0 @@
-#!/sbin/sh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-
-# This service is managed by smf(5).  Thus, this script provides
-# compatibility with previously documented init.d script behaviour.
-
-case "$1" in
-'start')
-	svcadm enable -t network/nfs/server
-        ;;
-
-'stop')
-	svcadm disable -t network/nfs/server
-        ;;
-
-*)
-        echo "Usage: $0 { start | stop }"
-        exit 1
-        ;;
-esac
--- old/usr/src/cmd/initpkg/init.d/nscd	Mon Apr 27 12:07:02 2015
+++ /dev/null	Mon Apr 27 11:44:07 2015
@@ -1,48 +0,0 @@
-#!/sbin/sh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-
-# This service is managed by smf(5).  Thus, this script provides
-# compatibility with previously documented init.d script behaviour.
-
-FMRI=system/name-service-cache:default
-
-case "$1" in
-'start')
-	[ -f /etc/nscd.conf ] && [ -f /usr/sbin/nscd ] || exit 0
-	/usr/sbin/svcadm enable -t $FMRI
-	;;
-
-'stop')
-	[ -f /usr/sbin/nscd ] && /usr/sbin/svcadm disable -t $FMRI
-	;;
-
-*)
-	echo "Usage: $0 { start | stop }"
-	exit 1
-	;;
-esac
--- old/usr/src/cmd/initpkg/init.d/sendmail	Mon Apr 27 12:07:02 2015
+++ /dev/null	Mon Apr 27 11:44:07 2015
@@ -1,53 +0,0 @@
-#!/sbin/sh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-# This service is managed by smf(5).  Thus, this script provides
-# compatibility with previously documented init.d script behaviour.
-
-case "$1" in
-'restart')
-	# The previous init.d/sendmail restart behaviour matches
-	# the smf(5) 'refresh' semantics.
-
-	svcadm refresh network/smtp:sendmail
-	svcadm refresh network/sendmail-client:default
-	;;
-
-'start')
-	svcadm enable -t network/smtp:sendmail
-	svcadm enable -t network/sendmail-client:default
-        ;;
-
-'stop')
-	svcadm disable -t network/smtp:sendmail
-	svcadm disable -t network/sendmail-client:default
-        ;;
-
-*)
-        echo "Usage: $0 { start | stop | restart }"
-        exit 1
-        ;;
-esac
--- old/usr/src/cmd/initpkg/init.d/slpd	Mon Apr 27 12:07:03 2015
+++ /dev/null	Mon Apr 27 11:44:07 2015
@@ -1,47 +0,0 @@
-#!/sbin/sh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-
-# This service is managed by smf(5).  Thus, this script provides
-# compatibility with previously documented init.d script behaviour.
-
-FMRI=network/slp:default
-
-case "$1" in
-'start')
-	/usr/sbin/svcadm enable -t $FMRI
-	;;
-
-'stop')
-	/usr/sbin/svcadm disable -t $FMRI
-	;;
-
-*)
-	echo "Usage: $0 { start | stop }"
-	exit 1
-	;;
-esac
--- old/usr/src/lib/libshare/nfs/libshare_nfs.c	Mon Apr 27 12:07:03 2015
+++ new/usr/src/lib/libshare/nfs/libshare_nfs.c	Mon Apr 27 12:07:03 2015
@@ -21,7 +21,7 @@
 
 /*
  * Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 /*
@@ -1897,10 +1897,10 @@
 	}
 	/*
 	 * when we get here, we can do the exportfs system call and
-	 * initiate things. We probably want to enable the nfs.server
-	 * service first if it isn't running within SMF.
+	 * initiate things. We probably want to enable the
+	 * svc:/network/nfs/server service first if it isn't running.
 	 */
-	/* check nfs.server status and start if needed */
+	/* check svc:/network/nfs/server status and start if needed */
 	/* now add the share to the internal tables */
 	printarg(path, &export);
 	/*
--- old/usr/src/pkg/manifests/SUNWcs.mf	Mon Apr 27 12:07:03 2015
+++ new/usr/src/pkg/manifests/SUNWcs.mf	Mon Apr 27 12:07:03 2015
@@ -373,10 +373,7 @@
 file path=etc/init.d/PRESERVE group=sys mode=0744 preserve=true
 file path=etc/init.d/README group=sys preserve=true
 file path=etc/init.d/cachefs.daemon group=sys mode=0744 preserve=true
-file path=etc/init.d/ldap.client group=sys mode=0744
-file path=etc/init.d/nscd group=sys mode=0744
 file path=etc/init.d/sysetup group=sys mode=0744 preserve=true
-file path=etc/init.d/ufs_quota group=sys mode=0744 preserve=true
 file path=etc/inittab group=sys preserve=true
 file path=etc/ioctl.syscon group=sys preserve=true
 file path=etc/ksh.kshrc group=sys preserve=renameold
--- old/usr/src/pkg/manifests/SUNWcsd.mf	Mon Apr 27 12:07:03 2015
+++ new/usr/src/pkg/manifests/SUNWcsd.mf	Mon Apr 27 12:07:03 2015
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
 
 #
@@ -51,7 +52,6 @@
 dir path=devices group=sys
 dir path=devices/pseudo group=sys
 dir path=etc group=sys
-dir path=etc/init.d group=sys
 dir path=etc/rcm group=sys
 dir path=etc/rcm/scripts group=sys
 dir path=etc/security group=sys
@@ -66,8 +66,6 @@
 file path=etc/devlink.tab group=sys preserve=true
 file path=etc/driver_aliases group=sys preserve=true
 file path=etc/driver_classes group=sys preserve=true
-file path=etc/init.d/devlinks group=sys mode=0744 preserve=true
-file path=etc/init.d/drvconfig group=sys mode=0744 preserve=true
 file path=etc/iu.ap group=sys preserve=true
 file path=etc/minor_perm group=sys preserve=true
 file path=etc/name_to_major group=sys preserve=true
--- old/usr/src/pkg/manifests/service-file-system-nfs.mf	Mon Apr 27 12:07:03 2015
+++ new/usr/src/pkg/manifests/service-file-system-nfs.mf	Mon Apr 27 12:07:03 2015
@@ -21,7 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2012 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 #
 
 set name=pkg.fmri value=pkg:/service/file-system/nfs@$(PKGVERS)
@@ -32,7 +32,6 @@
 set name=variant.arch value=$(ARCH)
 dir path=etc group=sys
 dir path=etc/default group=sys
-dir path=etc/init.d group=sys
 dir path=etc/nfs group=sys
 dir path=kernel group=sys
 dir path=kernel/misc group=sys
@@ -57,8 +56,6 @@
 dir path=usr/share/man/man5
 file path=etc/default/nfslogd group=sys \
     original_name=SUNWnfss:etc/default/nfslogd preserve=true
-file path=etc/init.d/nfs.server group=sys mode=0744 \
-    original_name=SUNWnfss:etc/init.d/nfs.server preserve=true
 file path=etc/nfs/nfslog.conf group=sys \
     original_name=SUNWnfss:etc/nfs/nfslog.conf preserve=true
 file path=kernel/misc/$(ARCH64)/nfssrv group=sys mode=0755
--- old/usr/src/pkg/manifests/service-network-slp.mf	Mon Apr 27 12:07:03 2015
+++ new/usr/src/pkg/manifests/service-network-slp.mf	Mon Apr 27 12:07:03 2015
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
 
 set name=pkg.fmri value=pkg:/service/network/slp@$(PKGVERS)
@@ -32,7 +33,6 @@
 set name=variant.arch value=$(ARCH)
 dir path=etc group=sys
 dir path=etc/inet group=sys
-dir path=etc/init.d group=sys
 dir path=lib
 dir path=lib/svc
 dir path=lib/svc/manifest group=sys
@@ -53,7 +53,6 @@
 dir path=usr/share/man/man4
 dir path=usr/share/man/man7p
 file path=etc/inet/slp.conf.example group=sys
-file path=etc/init.d/slpd group=sys mode=0744
 file path=lib/svc/manifest/network/slp.xml group=sys mode=0444
 file path=lib/svc/method/slp mode=0555
 file path=usr/include/slp.h
--- old/usr/src/pkg/manifests/service-network-smtp-sendmail.mf	Mon Apr 27 12:07:04 2015
+++ new/usr/src/pkg/manifests/service-network-smtp-sendmail.mf	Mon Apr 27 12:07:04 2015
@@ -21,7 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
 
 set name=pkg.fmri \
@@ -31,7 +31,6 @@
 set name=info.classification value=org.opensolaris.category.2008:System/Core
 set name=variant.arch value=$(ARCH)
 dir path=etc group=sys
-dir path=etc/init.d group=sys
 dir path=etc/mail group=mail
 dir path=etc/mail/cf group=mail
 dir path=etc/mail/cf/cf group=mail
@@ -69,8 +68,6 @@
 dir path=var/spool
 dir path=var/spool/clientmqueue group=smmsp mode=0770 owner=smmsp
 dir path=var/spool/mqueue mode=0750
-file path=etc/init.d/sendmail group=sys mode=0744 \
-    original_name=SUNWsndm:etc/init.d/sendmail preserve=true
 file path=etc/mail/aliases original_name=SUNWsndm:etc/mail/aliases \
     preserve=true
 file path=etc/mail/cf/README group=mail mode=0444
